=== debian/changelog ===
gkrellm (2.3.6~rc1-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:25:10 +0000

gkrellm (2.3.6~rc1-1) unstable; urgency=medium

  * [6f3f541] New upstream release candidate; Closes: #764023, #497635, #630117, #734176
  * [bf88eeb] update watch file
  * [c2936c9] remove 06_bts646262_add_format_string_to_syslog_call.patch, merged upstream
  * [c3a06ca] 11_Only-use-Libgcrypt-for-GnuTLS-2.12.patch, merged upstream
  * [070d49f] remove 12_Do-not-include-gcrypt.h-for-newer-GnuTLS-versions.patch, merged upstream
  * [e8b3f85] convert d/copyright to DEP-5
  * [c6076a7] extend upstream and packaging copyright years
  * [32688d7] bump Standards-Version to 3.9.6 (no changes needed)
  * [c69c948] update other copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Oct 2014 14:34:01 +0000

gkrellm (2.3.5-6) unstable; urgency=low

  [ Andreas Metzler ]
  * Pull 11_Only-use-Libgcrypt-for-GnuTLS-2.12.patch and
    12_Do-not-include-gcrypt.h-for-newer-GnuTLS-versions.patch from upstream
    GIT to stop unnecessary linkage against libgcrypt. Closes: #638646
  * Build-Depend on libgnutls-openssl-dev instead of libgnutls-dev to allow
    transitioning to newer GnuTLS; Closes: #731604

  [ Sandro Tosi ]
  * bump Standards-Version to 3.9.5 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 06 Apr 2014 19:05:07 +0200
