=== debian/control ===
Source: gkrellm
Section: x11
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Standards-Version: 3.9.6
Build-Depends: libglib2.0-dev, libgtk2.0-dev, debhelper (>= 9), libsm-dev, x11proto-core-dev, gettext, libgnutls-openssl-dev, libntlm0-dev, libsensors4-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/gkrellm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gkrellm.git
Homepage: http://gkrellm.net/

Package: gkrellm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: gkrellm-common
Breaks: gkrellm-common (<= 2.2.7-5), gkrellmd (<= 2.2.7-8)
Replaces: gkrellm-common (<= 2.2.7-5)
Description: GNU Krell Monitors
 With a single process, gkrellm manages multiple stacked monitors and supports
 applying themes to match the monitors appearance to your window manager, Gtk,
 or any other theme.

Package: gkrellmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Breaks: gkrellm-common (<= 2.2.7-5), gkrellm (<= 2.2.7-8)
Replaces: gkrellm-common (<= 2.2.7-5)
Description: GNU Krell Monitors Server
 Gkrellmd Listens for connections from gkrellm clients. When a gkrellm client
 connects to a gkrellmd server all builtin monitors collect their data from the
 server.
