=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installinit:
	dh_installinit -u"defaults 21"

override_dh_auto_build:
	$(MAKE) PREFIX=/usr without-ssl=1

override_dh_auto_install:
	$(MAKE) install DESTDIR=`pwd`/debian/tmp PREFIX=/usr

override_dh_clean:
	dh_clean
	rm -f gkrellm.ico
