=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" \
  http://gkrellm.srcbox.net/ gkrellm-(.*)\.tar.bz2
