## gkrellm 2.3.7

=== debian/changelog ===
gkrellm (2.3.7-1) unstable; urgency=medium

  * [aa65a36] update d/watch
  * [467d32f] Imported Upstream version 2.3.7; Closes: #833463
  * [ab5882d] bump Standards-Version to 3.9.8 (no changes needed)
  * [5c9203a] extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 14 Aug 2016 20:17:35 +0100
