=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: libglib2.0-dev, libgtk2.0-dev, debhelper (>= 9), libsm-dev, x11proto-core-dev, gettext, libgnutls-openssl-dev, libntlm0-dev, libsensors4-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/gkrellm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gkrellm.git
