=== debian/changelog ===
gkrellm (2.3.10-2build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:50:33 +0000

gkrellm (2.3.10-2build1) disco; urgency=medium

  * No-change rebuild against latest lm-sensors

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 02 Jan 2019 18:29:02 -0500

gkrellm (2.3.10-2) unstable; urgency=medium

  * debian/control
    - point Vcs fields to salsa
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/rules
    - fix FTCBFS: Let dh_auto_build pass cross compilers to make; patch by
      Helmut Grohne; Closes: #876110
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 13 May 2018 19:16:12 -0400

gkrellm (2.3.10-1) unstable; urgency=medium

  * [c820afb] New upstream version 2.3.10

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Dec 2016 12:46:49 -0500

gkrellm (2.3.8-1) unstable; urgency=medium

  * [446a39b] Imported Upstream version 2.3.8; Closes: #812185, #834773
  * [1d8272f] use HTTPS in Vcs-* fields

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Sep 2016 07:18:01 +0100
