=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: x11
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Build-Depends: libglib2.0-dev, libgtk2.0-dev, debhelper (>= 9), libsm-dev, x11proto-core-dev, gettext, libgnutls-openssl-dev, libntlm0-dev, libsensors4-dev
-Vcs-Git: git://anonscm.debian.org/collab-maint/gkrellm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gkrellm.git
+Vcs-Git: https://salsa.debian.org/debian/gkrellm.git
+Vcs-Browser: https://salsa.debian.org/debian/gkrellm
 Homepage: http://gkrellm.net/
 
 Package: gkrellm
