=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh_installinit -u"defaults 21"
 
 override_dh_auto_build:
-	$(MAKE) PREFIX=/usr without-ssl=1
+	dh_auto_build -- PREFIX=/usr without-ssl=1
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp PREFIX=/usr
