## gkrellm 2.3.11

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 #GTOP_LIBS_D = -L$(GTOP_PREFIX)/lib -lgtop -lgtop_common -lgtop_sysdeps
 #export GTOP_INCLUDE GTOP_LIBS GTOP_LIBS_D
 
-VERSION = 2.3.10
+VERSION = 2.3.11
 
 INSTALLROOT ?= $(DESTDIR)$(PREFIX)
