=== debian/changelog ===
gkrellm (2.3.11-2) unstable; urgency=medium

  * debian/patches
    - refresh patches
  * debian/patches/a6af4e3af210a3d69c50bdc145eb95c029fc21ab.patch
    - include inet.h; Closes: #958431

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Feb 2021 01:13:25 -0500

gkrellm (2.3.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 2.2.9-1, 2.2.7-5, 2.2.7-4.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - replace b-d on libsensors4-dev with libsensors-dev; Closes: #917437
    - run wrap-and-sort
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump dh compat to 13
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/rules
    - set hardening flags
  * debian/watch
    - bump version to 4

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Jan 2021 01:05:17 -0500
