=== debian/control ===
Source: gkrellm
Section: x11
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13),
               gettext,
               libglib2.0-dev,
               libgnutls-openssl-dev,
               libgtk2.0-dev,
               libntlm0-dev,
               libsensors-dev,
               libsm-dev,
               x11proto-core-dev,
Vcs-Git: https://salsa.debian.org/debian/gkrellm.git
Vcs-Browser: https://salsa.debian.org/debian/gkrellm
Homepage: http://gkrellm.net/

Package: gkrellm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Provides: gkrellm-common,
Breaks: gkrellm-common (<= 2.2.7-5),
        gkrellmd (<= 2.2.7-8),
Replaces: gkrellm-common (<= 2.2.7-5),
Description: GNU Krell Monitors
 With a single process, gkrellm manages multiple stacked monitors and supports
 applying themes to match the monitors appearance to your window manager, Gtk,
 or any other theme.

Package: gkrellmd
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: gkrellm (<= 2.2.7-8),
        gkrellm-common (<= 2.2.7-5),
Replaces: gkrellm-common (<= 2.2.7-5),
Description: GNU Krell Monitors Server
 Gkrellmd Listens for connections from gkrellm clients. When a gkrellm client
 connects to a gkrellmd server all builtin monitors collect their data from the
 server.
