=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/" \
  http://gkrellm.srcbox.net/ releases/gkrellm-(.*)\.tar.bz2
