## gkrellm 2.4.0

=== debian/changelog ===
gkrellm (2.4.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - update Homeapge field; Closes: #1052060
  * debian/patches/a6af4e3af210a3d69c50bdc145eb95c029fc21ab.patch
    - remove patch, merged upstream
  * debian/patches/10_fix_glib_underlinkage.patch
    - refresh patch
  * debian/patches/04_fix_manpage_hyphen.patch, debian/patches/05_bts437033_fix_strip.patch
    - drop, no longer needed
  * debian/rules
    - set -std=gnu17 to prevent a FTBFS with gcc-15; Closes: #1096713
  * debian/*.install
    - refresh install files; Closes: #1039210

  [ Pino Toscano ]
  * Drop menu file, since gkrellm already provides a .desktop file.

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Nov 2025 02:18:50 -0500
