=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                x11proto-core-dev,
 Vcs-Git: https://salsa.debian.org/debian/gkrellm.git
 Vcs-Browser: https://salsa.debian.org/debian/gkrellm
-Homepage: http://gkrellm.net/
+Homepage: http://gkrellm.srcbox.net/
 
 Package: gkrellm
 Architecture: any
