=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/dpkg/buildflags.mk
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 
 %:
 	dh $@
